﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class moveTheCharacter : MonoBehaviour
{

	public GameObject thePlayer;
    public GameObject bedArea;
	public float speed = 2;
    public int timeCounter;
	private Vector2 targetPos;
    private Vector2 prevPos;
    private SpriteRenderer charSpriteRendererer;
    bool flippedSprite = false;
    private Animator animator;

    // Start is called before the first frame update
    void Start()
    {
        targetPos = thePlayer.transform.position;
        targetPos = bedArea.transform.position;
    }

    // Update is called once per frame
    void Update()
    {
        float step = speed * Time.deltaTime;
        charSpriteRendererer = thePlayer.GetComponent<SpriteRenderer>();
        timeCounter++;
        thePlayer.transform.position = Vector2.MoveTowards(thePlayer.transform.position, targetPos, step);
        if (timeCounter > 240)
        {
            targetPos = bedArea.transform.position;
        }
        movePlayer();
    }

	void movePlayer(){
        //flips the player sprite depending on direction of target position relative to current position
        if (thePlayer.transform.position.x <= targetPos.x)
        {
            charSpriteRendererer.flipX = false;
        }
        if (thePlayer.transform.position.x > targetPos.x)
        {
            charSpriteRendererer.flipX = true;
        }

        if (Input.GetMouseButtonDown(0)){
            timeCounter = 0;
			targetPos = Camera.main.ScreenToWorldPoint(Input.mousePosition);
			//Debug.Log("Mouse button clicked @ x"+targetPos.x+", y"+targetPos.y);      
            thePlayer.transform.position = Vector2.MoveTowards(new Vector2(transform.position.x, 0), targetPos, speed * Time.deltaTime);

        }
	}

}
